Subject: Re: USB Host in 2.6.24-r3 Arch=PPC

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 11 Mar 2009 15:10:02 +1100

On Fri, 2009-03-06 at 23:45 +0100, Joachim Foerster wrote:
> Hi,
> 
> On Fri, 2009-03-06 at 16:51 +0100, A. Nolson wrote:
> >  just a little question. I am using 2.6.24-rc3 (secretlab) and I would
> > like to use c67x00 driver from Peter Kosgaard for USB-Host in my Xilinx
> > ML403 board. Is there support to use USB Host in Arch=ppc  Apparently I
> > cannot select  CONFIG_USB_ARCH_HAS_HCD=y option. What should I do to get
> > the USB working?
> 
> The problem of not being able to select the c67x00 driver, may be solved
> by simply pretending that ARCH=ppc "has a HCD" ... e.g.:

That sounds weird... how do other SoCs do ?

If you don't have PCI, look at the embedded section. 

Ben.

> diff --git a/drivers/usb/Kconfig b/drivers/usb/Kconfig
> index 755823c..eea0277 100644
> --- a/drivers/usb/Kconfig
> +++ b/drivers/usb/Kconfig
> @@ -22,6 +22,7 @@ config USB_ARCH_HAS_HCD
>         default y if PCMCIA && !M32R                    # sl811_cs
>         default y if ARM                                # SL-811
>         default y if SUPERH                             # r8a66597-hcd
> +       default y if PPC
>         default PCI
>  
>  # many non-PCI SOC chips embed OHCI
> 
> BTW: For a long time I'm wondering about what is the reason for making
> it not selectable by default ...
> 
>  Joachim
> 
> 
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev